Get Sspi Upgrade History

Get Sspi Upgrade History
Retrieve upgrade history

Retrieves the upgrade history of the system.

The list is sorted in descending order by start time, with the most recent upgrade first. The history includes the current upgrade if one is in progress.

Note: Upgrade Manager upgrades are not included in this history. Only full appliance upgrades (initiated by the user) are tracked.

Request
URI
GET
https://{api_host}/https://{api_host}:{port}/lh-appliance/upgrade/history
COPY
Authentication
This operation uses the following authentication methods.
Responses
200

Upgrade history retrieved successfully. The response contains a list of historical upgrade records.

Returns UpgradeHistoryList of type(s) application/json
This response body class contains all of the following: ListResult , InlineUpgradeHistoryList1
{
    "offset": 0,
    "number_of_results": 0,
    "total_result_count": 0,
    "total_pages": 0,
    "sort_ascending": false,
    "sort_by": "string",
    "results": [
        {
            "initial_version": "string",
            "target_version": "string",
            "start_time": 0,
            "end_time": 0,
            "status": "string"
        }
    ]
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

Unexpected error occurred while retrieving upgrade history. Consult the error response details and system logs for diagnostic information.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/https://{api_host}:{port}/lh-appliance/upgrade/history